function DataSave(){
	this.constructor = function(dataname="localData"){
		this.AppSaveData = {};
		this.dataname = dataname;
	}
	//データ名設定
	this.SetDataName = function(dataname){
		this.dataname = dataname;
	}
	//保存データ設定
	this.SetSaveData = function(key,data){
		var res = false;
		if(this.AppSaveData==null){
			this.AppSaveData = {};
		}
		if(this.AppSaveData[key]==undefined){
			this.AppSaveData[key] = data;
			res = true;
		}
		return res;
	}
	//保存データ取得
	this.GetSaveData = function(key,data){
		var res = false;
		if(this.AppSaveData==null)return res;
		if(this.AppSaveData[key]!=undefined){
			res = this.AppSaveData[key];
		}
		return res;
	}
	//保存
	this.Save = function(){
		try{
			var tmp = JSON.stringify(this.AppSaveData);
			localStorage.setItem(this.dataname,tmp);
		}catch(e){
			_self.Elm(".operation").innerText += e;		
			return;
		}		
	}
	//読込
	this.Load = function(){
		try{
			var tmp = localStorage.getItem(this.dataname);
			this.AppSaveData = JSON.parse(tmp);
		}catch(e){
			_self.Elm(".operation").innerText += e;
			return;
		}
	}
}
myDataCtrl = new DataSave;
myDataCtrl.constructor();